Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-8552

Scheduled_task: Update .sync.yaml

    XMLWordPrintable

    Details

    • Template:
    • Acceptance Criteria:
      Hide

      A pdk update or pdk sync command should no longer result in an appveyor yaml that tests against puppet 4. It should also create an entry for Puppet 6 that does not test in parallel. Currently there will be duplicate entries for Puppet 6 and Puppet 5. This is a known issue and the person doing this work is expected to delete the entries that do parallel_spec testing prior to merging the change.

      Show
      A pdk update or pdk sync command should no longer result in an appveyor yaml that tests against puppet 4. It should also create an entry for Puppet 6 that does not test in parallel. Currently there will be duplicate entries for Puppet 6 and Puppet 5. This is a known issue and the person doing this work is expected to delete the entries that do parallel_spec testing prior to merging the change.
    • Team:
      Windows
    • Sprint:
      Windows Hopper
    • QA Risk Assessment:
      Needs Assessment

      Description

      Currently the .sync.yaml file in this module contains Puppet 4 but does not contain Puppet 6.

      The reason any Puppet gems are in here at all is because, as noted in the file comments, we cannot use the parallel_spec testing pattern that other PDK modules use.

      This file should have references to Puppet 4 removed and it should have entries for Puppet 6 added after Puppet 5.

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            william.hurt William Hurt
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support